# Askara API

Askara.ai open API

Version: 1.75.0

## Servers

Production
```
https://api.askara.ai
```

## Security

### oauthAuthCode

OAuth 2.0 Authorization Code Grant

Type: oauth2
Authorization URL: https://app.askara.ai/oauth/authorize
Token URL: https://api.askara.ai/oauth2/token
Scopes:
- `profile`: Access to user account information
- `organization`: Access to dental practice information
- `read:patients`: Access to patient information
- `write:patients`: Create/update/delete patients
- `read:contacts`: Access to contact information
- `write:contacts`: Create/update/delete contacts
- `read:documents`: Access to document information
- `write:documents`: Create/update/delete documents
- `read:notes`: Access to note information
- `write:notes`: Create/update/delete notes
- `read:document_integrations`: View document synchronization status
- `write:document_integrations`: Synchronize documents on third-party integrations
- `read:webhooks`: Access to webhook information
- `write:webhooks`: Create/edit/delete webhooks
- `read:users`: Access to user information
- `write:users`: Create/edit/delete users
- `read:organizations`: Access to organization information
- `write:organizations`: Create/edit/delete organizations
- `read:invitations`: Access to invitation information
- `write:invitations`: Create/edit/delete invitations
- `read:subscriptions`: Access subscription information
- `write:subscriptions`: Manage subscriptions
- `read:emails`: Access email information
- `write:emails`: Send and manage emails
- `read:personalizations`: Access personalizations
- `write:personalizations`: Manage personalizations
- `read:oauth_client_users`: Access integration users
- `write:oauth_client_users`: Manage integration users
- `read:oauth_clients`: Access to third-party integration information
- `write:oauth_clients`: Manage third-party integrations
- `read:oauth_short_access_tokens`: Access short-lived access tokens
- `write:oauth_short_access_tokens`: Manage short-lived access tokens
- `read:images`: Access images
- `write:images`: Manage images
- `capture:images`: Capture images
- `read:meetings`: scopes.read_meetings
- `write:meetings`: scopes.write_meetings
- `read:audios`: Access audio recordings
- `write:audios`: Manage audio recordings
- `capture:audios`: Capture audio recordings
- `read:readers`: Access readers
- `write:readers`: Manage readers
- `read:user_registrations`: Access to user pre-registration information
- `write:user_registrations`: Create/edit/delete user pre-registration information
- `read:transcription_dictionary`: Access to personal transcription dictionary
- `write:transcription_dictionary`: Manage personal transcription dictionary

### bearerAuth

API Key provided in the Authorization header

Type: apiKey
In: header
Name: Authorization

## Download OpenAPI description

 - [Askara API](https://developers.askara.ai/_bundle/apis/askara-symfony/askara-api.yaml)

## Audio

 - [GET /audios](https://developers.askara.ai/apis/askara-symfony/askara-api/audio/api_audios.md): Use this endpoint to retrieve the collection of audio information.
 - [GET /audios/{uuid}](https://developers.askara.ai/apis/askara-symfony/askara-api/audio/api_audio.md): Use this endpoint to retrieve an audio information.
## Contact

 - [GET /contacts](https://developers.askara.ai/apis/askara-symfony/askara-api/contact/api_contacts.md): Use this endpoint to retrieve the collection of contact information.
 - [POST /contacts](https://developers.askara.ai/apis/askara-symfony/askara-api/contact/api_contact_create.md): Use this endpoint to create a contact entity.
 - [GET /contacts/{uuid}](https://developers.askara.ai/apis/askara-symfony/askara-api/contact/api_contact.md): Use this endpoint to retrieve a contact information.
 - [PATCH /contacts/{uuid}](https://developers.askara.ai/apis/askara-symfony/askara-api/contact/api_contact_patch.md): Use this endpoint to update a contact entity.
## Document

 - [GET /documents](https://developers.askara.ai/apis/askara-symfony/askara-api/document/api_documents.md): Use this endpoint to retrieve the collection of document information.
 - [GET /documents/{uuid}](https://developers.askara.ai/apis/askara-symfony/askara-api/document/api_document.md): Use this endpoint to retrieve a document information.
 - [POST /documents/{uuid}/status](https://developers.askara.ai/apis/askara-symfony/askara-api/document/api_document_status.md): Use this endpoint to set a document synchronization status.
## Note

 - [GET /notes](https://developers.askara.ai/apis/askara-symfony/askara-api/note/api_notes.md): Use this endpoint to retrieve a collection of notes.
 - [GET /notes/{uuid}](https://developers.askara.ai/apis/askara-symfony/askara-api/note/api_note.md): Use this endpoint to retrieve a note information.
## Organization

 - [GET /organizations](https://developers.askara.ai/apis/askara-symfony/askara-api/organization/api_organizations.md): Use this endpoint to retrieve the collection of organization information.
 - [GET /organizations/{uuid}](https://developers.askara.ai/apis/askara-symfony/askara-api/organization/api_organization.md): Use this endpoint to retrieve an organization information.
## Patient

 - [GET /patients](https://developers.askara.ai/apis/askara-symfony/askara-api/patient/api_patients.md): Use this endpoint to retrieve the collection of patient information.
 - [POST /patients](https://developers.askara.ai/apis/askara-symfony/askara-api/patient/api_patient_create.md): Use this endpoint to create a patient entity or update an existing one if it already exists. A patient is considered existing if it matches by social security number, or by the combination of firstNam
 - [GET /patients/{uuid}](https://developers.askara.ai/apis/askara-symfony/askara-api/patient/api_patient.md): Use this endpoint to retrieve a patient information.
 - [PATCH /patients/{uuid}](https://developers.askara.ai/apis/askara-symfony/askara-api/patient/api_patient_patch.md): Use this endpoint to update a patient entity.
## User

 - [GET /me](https://developers.askara.ai/apis/askara-symfony/askara-api/user/api_me.md): Use this endpoint to retrieve the current user information.
 - [GET /users/{uuid}](https://developers.askara.ai/apis/askara-symfony/askara-api/user/api_user.md): Use this endpoint to retrieve a user information.
## Webhook

 - [GET /webhooks](https://developers.askara.ai/apis/askara-symfony/askara-api/webhook/api_webhooks.md): Use this endpoint to retrieve the collection of webhook information.
 - [POST /webhooks](https://developers.askara.ai/apis/askara-symfony/askara-api/webhook/api_webhook_create.md): Use this endpoint to create a webhook entity.
 - [GET /webhooks/{uuid}](https://developers.askara.ai/apis/askara-symfony/askara-api/webhook/api_webhook.md): Use this endpoint to retrieve a webhook information.
 - [DELETE /webhooks/{uuid}](https://developers.askara.ai/apis/askara-symfony/askara-api/webhook/api_webhook_delete.md): Use this endpoint to delete a webhook entity.
 - [PATCH /webhooks/{uuid}](https://developers.askara.ai/apis/askara-symfony/askara-api/webhook/api_webhook_patch.md): Use this endpoint to update a webhook entity.
